Trigger a workflow via webhook with applicationId
curl --request POST \
--url https://your-instance.example.com/api/workflows/webhook/{applicationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookId": "wh_64d2f9c5e8a1d4e001a0b1c3",
"payload": {
"source": "zillow",
"lead": {
"name": "Alex Nguyen",
"email": "alex.nguyen@example.com",
"phone": "+14155551234"
}
}
}
'import requests
url = "https://your-instance.example.com/api/workflows/webhook/{applicationId}"
payload = {
"webhookId": "wh_64d2f9c5e8a1d4e001a0b1c3",
"payload": {
"source": "zillow",
"lead": {
"name": "Alex Nguyen",
"email": "alex.nguyen@example.com",
"phone": "+14155551234"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookId: 'wh_64d2f9c5e8a1d4e001a0b1c3',
payload: {
source: 'zillow',
lead: {name: 'Alex Nguyen', email: 'alex.nguyen@example.com', phone: '+14155551234'}
}
})
};
fetch('https://your-instance.example.com/api/workflows/webhook/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Webhook processed successfully"
}{
"success": false,
"message": "Workflow not found"
}{
"success": false,
"message": "Workflow not found"
}Workflows
Trigger a workflow via webhook with applicationId
Webhook variant that ties the run to a specific Application via the path parameter — the application is loaded and made available to workflow nodes alongside the supplied payload. Auth is the same as the unscoped webhook endpoint.
POST
/
api
/
workflows
/
webhook
/
{applicationId}
Trigger a workflow via webhook with applicationId
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Webhook processed successfully
⌘I